## abseil-cpp 20230802.0

=== debian/changelog ===
abseil-cpp (20230802.0-1) experimental; urgency=medium

  * New upstream release.

 -- Valdur Palm <vpalm@perforce.com>  Wed, 30 Aug 2023 09:43:12 +0300
