=== debian/control ===
Source: abseil-cpp
Section: devel
Priority: optional
Maintainer: Valdur Palm <vpalm@perforce.com>
Build-Depends: debhelper, cmake (>=3.10) | base-files (<=9.999), ninja-build, build-essential
Build-Depends-Indep:

Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://abseil.io/
Package: libabsl-zendphp
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Abseil Common Libraries for ZendPHP (C++ shared library)

Package: libabsl-zendphp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: libabsl-dev
Depends: ${misc:Depends}, libabsl-zendphp (= ${binary:Version})
Description: Abseil Common Libraries for ZendPHP (C++ development files)
