=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export GEM2DEB_TEST_RUNNER = --check-dependencies

ifneq (,$(findstring $(DEB_BUILD_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
export DEB_LDFLAGS_MAINT_APPEND  = -latomic
endif

PACKAGEVERSION = $(shell debian/get_ver.sh 'libabsl-zendphp' '20230802.0')

%:
	dh $@

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure

endif

PREFIX		  = /opt/zend/zendphp

override_dh_auto_configure: 
	#sed -i "/^configure_package_config_file.*/a INSTALL_PREFIX ${PREFIX}" CMakeLists.txt
	export LDFLAGS= ; \
	export CFLAGS= ; \
	export CPPFLAGS= ; \
	export CXXFLAGS= ; \
	cmake . \
		-DABSL_PROPAGATE_CXX_STD="ON" \
		-G Ninja \
		-DCMAKE_INSTALL_PREFIX=${PREFIX} \
		-DCMAKE_PREFIX_PATH=${PREFIX} \
		-DBUILD_STATIC_LIBS=ON \
		-DCMAKE_CXX_STANDARD=17 \
		-DCMAKE_BUILD_TYPE=MinSizeRel \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DCMAKE_POSITION_INDEPENDENT_CODE=ON \
		-DCMAKE_INSTALL_RPATH="${PREFIX}/lib"

override_dh_auto_build:
	cmake --build .

override_dh_auto_clean:
	dh_auto_clean || true

override_dh_auto_test:
	:

override_dh_auto_install:
	#dh_auto_install
	DESTDIR=$(CURDIR)/debian/tmp ninja install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib
	mv $(CURDIR)/debian/tmp/$(PREFIX)/lib/pkgconfig $(CURDIR)/debian/tmp/usr/lib
	dh_install

override_dh_installdocs:
	dh_installdocs

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)

override_dh_dwz:
	echo GCC bug

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l$(CURDIR)/debian/tmp/$(PREFIX)/lib

#override_dh_usrlocal:
#	echo Skip processing /usr/local
