=== debian/watch ===
version=4
opts=uversionmangle=s/-?(beta)-?/~$1/;s/-?(alpha)-?/~$1/;s/-?(rc)-?/~rc/ \
https://github.com/abseil/apseil-cpp/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|zeromq(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
